﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DisplayFeatureTootip._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script language="javascript" type="text/javascript">
        var OnMapCreated = function(map) {
            var control = map.getControlsByClass("OpenLayers.Control.SelectFeature")[0];

            // Implement its onSelect events, it occurs whenever mouse over the features.
            control.onSelect = function(feature) {
                SelectedFeature = feature;

                // Here is custom implement code for select event.
                onCustomFeatureSelect(feature);
            }

            // Here is custome implement code for unSelect event.
            control.onUnselect = onCustomFeatureUnSelect;
        }

        var onCustomFeatureSelect = function(feature) {
            var columnValues = '';

            // feature.values is corresponding to the columnValues of the feature on the server side.
            for (var key in feature.values) {
                var columValue = feature.values[key];
                columnValues = key + ':' + columValue + ';';
            }

            // Fix the position of tooltip
            var lonlat = feature.geometry.bounds.getCenterLonLat();
            // Create the Tooltip
            if (feature.popup == null) {
                // Instruction of Popup's construc parameter:  OpenLayers.Popup(id,lonlat,size,ContentHTML,has closeButton)
                var tooltip = new OpenLayers.Popup(feature.id + '_popup', lonlat, new OpenLayers.Size(200, 40), columnValues, false);
                // Add popup to map
                var map = Map1.GetOpenLayersMap();
                map.addPopup(tooltip);
                // Set the feature's popup
                feature.popup = tooltip;
            }
            feature.popup.show();
        }

        var onCustomFeatureUnSelect = function(feature) {
            feature.popup.hide();
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="600px" Width="800px">
        </cc1:Map>
    </div>
    </form>
</body>
</html>
